lapply(1)

NAME
lapply - modify file system to match appliable-transcript

SYNOPSIS
lapply [-FinrV] [ -% | -q | -v ] [ -c checksum ] [ -h host ] [ -p port ] [ -w auth-level ] [ -x ca-pem-file ] [ -y cert-pem-file ] [ -z private-key-file ] { appliable-transcript }

DESCRIPTION
lapply reads an appliable transcript line-by-line, modifying the file system to match the transcript. Transcript lines are applied in order unless they are directories marked for deletion. In such cases, subsequent transcript lines are first applied until the file system object listed is outside of the directory. If another directory marked for deletion is encountered, the process is started recursively. lapply downloads missing files indicated by a "+" from the radmind server host. file is applied to the system with the attributes as described in the transcript line. File system objects marked with a "-" are removed. Other transcript lines indicate that a file system object must be modified or created if missing. lapply is not able to create doors or sockets. File system objects listed in the transcript and present in the file system as a different type are automatically removed. The radmind tools are unaware of user defined file flags, some of which may prevent lapply from successfully completing. Using the -F option, lapply will remove all user defined flags. If appliable-transcript is not given, lapply will use the standard input for reading.

lapply is also capable of decoding applefiles stored on the server by lcreate(1), restoring the files' Mac OS HFS+ metadata to the client machine. (Mac OS X, HFS+-formatted drives only.)

OPTIONS

-%  percentage done progress output.

-c checksum
    enables checksuming.

-h host
    specifies the radmind server, by default radmind.

-i  force output linebuffering.

-F  remove all user defined flags for a file if they exist.

-n  no network connection will be made, causing only file system removals and updates to be applied. auth-level is implicit set to 0.

-p port
    specifies the port of the radmind server, by default 6662.

-q  suppress all messages.

-r  use random seed file $RANDFILE if that environment variable is set, $HOME/.rnd otherwise. See RAND_load_file(3o).

-V  displays the version number of lapply and exits.

-v  displays communication with the radmind server.

-w auth-level
    TLS authorization level, by default 0. 0 = no TLS, 1 = server verification, 2 = server and client verification.

-x ca-pem-file
    Certificate authority's public certificate, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/ca.pem.

-y cert-pem-file
    Client's public certificate, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/cert.pem.

-z private-key-file
    Client's private key, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/cert.pem.

EXIT STATUS
The following exit values are returned:

0   Transcript was applied.

1   An error occurred, system was modified.

2   An error occurred, system was not modified.

SEE ALSO
fsdiff(1), ktcheck(1), lcksum(1), lcreate(1), lfdiff(1), lmerge(1), twhich(1), applefile(5), radmind(8), chflags(2), RAND_load_file(3o).